Package org.eclipse.net4j.util.container

# Class LifecycleEventConverter<E>

java.lang.Object
org.eclipse.net4j.util.container.LifecycleEventConverter<E>

All Implemented Interfaces:
  `EventListener`, `IListener`

public class LifecycleEventConverter<E> extends Object implements IListener
A delegating `listener` that converts `lifecycle events` into `container events`.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`LifecycleEventConverter(Notifier owner)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`added(ILifecycleEvent e)`
`protected IContainerEvent<E>`
`createContainerEvent(IContainer<E> container, E element, IContainerDelta.Kind kind)`
`protected void`
`fireContainerEvent(ILifecycleEvent e, IContainerDelta.Kind kind)`
`INotifier`
`getOwner()`
`void`
`notifyEvent(IEvent event)`
`protected void`
`removed(ILifecycleEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LifecycleEventConverter

public LifecycleEventConverter(Notifier owner)

## Method Details

### getOwner

public INotifier getOwner()

### notifyEvent

public void notifyEvent(IEvent event)

Specified by:
  `notifyEvent` in interface `IListener`

### added

protected void added(ILifecycleEvent e)

### removed

protected void removed(ILifecycleEvent e)

### fireContainerEvent

protected void fireContainerEvent(ILifecycleEvent e, IContainerDelta.Kind kind)

### createContainerEvent

protected IContainerEvent<E> createContainerEvent(IContainer<E> container, E element, IContainerDelta.Kind kind)